@import "libs/shared/assets/src/global-style/variable";
@import "libs/shared/assets/src/global-style/color";

.table {
  margin: 12px 24px 12px 24px;
}

.cotainer-init-screen {
  background: $background-main;
  position: relative;
  margin-top: 10px;
  &__left-content {
    border-radius: 0px 16px 0px 16px;
    margin-top: 16px;
    &__top {
      width: 100%;
      height: 98px;
      position: relative;
      margin-top: 0px;
      display: flex;
      align-items: center;
      &__dropdown {
        margin-left: 16px;
        margin-right: 16px;
        width: 100%;
      }
      &__label {
        color: $black-color;
        font-weight: bold;
        font-size: 16px;
      }
    }
  }

  &__right-content {
    background: $background-main;
    width: 100%;
    right: 0;
    position: absolute;
    &__tableUnit {
      width: 100%;
    }
  }

  &__main-tree {
    &__icon {
      background: initial;
      border: none;
      img {
        width: 9px;
        height: 9px;
      }
    }
    &__span {
      font-family: avertaR, sans-serif;
      &__no-child:hover {
        cursor: pointer;
        color: $text-tree-node;
      }
    }
    &__span:hover {
      cursor: pointer;
      color: $text-tree-node;
    }
  }
  &__main-tree:hover {
    cursor: pointer;
  }
  ::ng-deep {
    .tooltip-inner {
      margin-top: 15px !important;
    }

    .col {
      max-width: none !important;
    }
    .mat-tree {
      margin-top: 16px;
      max-height: 626px;
      overflow-y: auto;
      overflow-x: hidden;
    }
    .mat-drawer {
      overflow-y: hidden;
    }
    .mat-menu-item .mat-icon {
      margin-right: 0 !important;
    }
    .ant-table-thead > tr > th {
      background: $background-primary-button-color;
      font-weight: bold;
      font-size: 14px;
      line-height: 240%;
    }
    .ant-pagination {
      float: right;
      margin-top: 0;
    }
    .ant-pagination-item-link {
      border-radius: 8px;
      display: flex !important;
      align-items: center;
      justify-content: center;
    }
    .ant-pagination-item-link-icon {
      margin-right: 14px;
    }

    .ant-pagination-item {
      border-radius: 8px;
    }
    .ant-pagination-item-active {
      border-color: $primary-button-color;
      border-radius: 8px;
      a {
        color: $primary-button-color;
      }
    }
    .ant-pagination-next {
      margin-right: 18px;
    }

    .ant-picker-header-super-prev-btn {
      order: 2;
      display: none;
    }
    .ant-picker-header-prev-btn {
      order: 3;
    }
    .ant-picker-header-view {
      order: 1;
      margin-left: -145px;
    }
    .ant-picker-header-next-btn {
      order: 4;
    }
    .ant-picker-header-super-next-btn {
      order: 5;
      display: none;
    }
    .ant-picker-cell-selected .ant-picker-cell-inner {
      background: $primary-button-color !important;
      border-radius: 8px;
      color: $white-color;
    }
  }
}
.mat-draw-left {
  min-height: 740px;
  border-top-right-radius: 16px;
  margin-left: 1rem;
  background: $white-color;
  border-right: 3px solid $background-primary-button-color;
}
.mat-draw-right {
  z-index: 99999999;
  width: 100%;
  position: absolute;
  right: 0;
}
.main-model-organization {
  display: flex;
  justify-content: space-between;
  padding: 24px 18px;
  &__left {
    display: flex;
    align-items: center;
    &__pointer {
      cursor: pointer;
    }
    &__title {
      margin-left: 12px;
      margin-bottom: 0px;
    }
  }
  &__right {
    display: flex;
    &__button-primary {
      border-radius: 8px;
      display: flex;
      min-width: 174px;
      justify-content: center;
      align-items: center;
      padding: 6px 24px 6px 24px;
      font-size: 14px;
      min-height: 45px;
      background: $background-primary-button-color;
      color: $primary-button-color;
      font-weight: 600;
      border: initial;
      span {
        margin: 0px 4px;
      }
    }
  }
  &__table-action {
    display: flex;
    justify-content: flex-end;
    margin: 16px 0px 16px 0px;
    padding-right: 25px;
    &__button-default {
      color: $primary-button-color;
      font-weight: 600;
      font-size: 14px;
      line-height: 20px;
      padding: 6px 24px;
      min-height: 32px;
      margin-left: 12px;
      border: 1px solid $background-primary-button-color;
    }
    &__button-primary {
      border-radius: 4px;
      display: flex;
      align-items: center;
      padding: 6px 24px 6px 24px;
      font-size: 14px;
      min-height: 32px;
      background: $primary-button-color;
      margin-left: 16px;
      font-weight: 600;
      span {
        margin: 0px 4px;
      }
    }
    &__button-primary-excel {
      border-radius: 6px;
      display: flex;
      align-items: center;
      padding: 8px 10px;
      font-size: 14px;
      min-height: 45px;
      background: $white-color;
      border: 1px solid $background-primary-button-color;
      margin-left: 16px;
      font-weight: 600;
      min-width: 36px;
      color: $primary-button-color;
    }
  }

  &__footer-date-picker-action {
    display: flex;
    justify-content: space-between;
    margin: 16px 0px 16px 0px;
    padding-right: 25px;
    &__button-default {
      color: $primary-button-color;
      font-weight: 600;
      font-size: 14px;
      line-height: 20px;
      padding: 6px 24px;
      min-height: 32px;
      margin-left: 12px;
      border: 1px solid $background-primary-button-color;
      width: 50%;
    }
    &__button-primary {
      border-radius: 4px;
      display: flex;
      align-items: center;
      padding: 6px 24px 6px 24px;
      font-size: 14px;
      min-height: 32px;
      background: $primary-button-color;
      margin-left: 16px;
      font-weight: 600;
      width: 50%;
      span {
        margin: 0px 4px;
      }
    }
  }
}

.main-model-organization-card {
  margin: 12px 24px 12px 24px;
  border-radius: 16px;

  &__button-search,
  &__button-excel {
    padding-top: 1.6rem;
  }

  &__row {
    margin-top: 16px;
  }

  &__left {
    padding-left: 15px;
    &__select {
      width: 100%;
      ::ng-deep {
        .ant-select-selector {
          border-radius: 10px !important;
          min-height: 48px;
          display: flex;
          align-items: center;
        }
      }
    }
    &__label {
      font-size: 14px;
      color: $label-color;
      line-height: 26px;
      font-weight: bold;
    }
    &__input {
      width: 100%;
      border-radius: 10px !important;
      min-height: 48px;
      text-align: center;
    }
    &__icon {
      border-radius: 50%;
      position: absolute;
      right: 0.5rem;
      top: 2.6rem;
      color: $white-color;
      font-size: 12px;
      background: $background-icon;
    }
    &__icon:hover {
      cursor: pointer;
      background: $background-icon-hover;
    }
  }
  &__center {
    padding-left: 15px;
    ::ng-deep {
      .ant-input {
        border-radius: 10px !important;
        min-height: 48px;
        align-items: center;
      }
    }
    &__select {
      width: 100%;
      ::ng-deep {
        .ant-select-selector {
          border-radius: 10px !important;
          min-height: 48px;
          display: flex;
          align-items: center;
        }
      }
    }
    &__label {
      font-size: 14px;
      color: $label-color;
      line-height: 26px;
      font-weight: bold;
    }
  }
  &__right {
    padding-left: 15px;
    &__select {
      width: 100%;
      ::ng-deep {
        .ant-select-selector {
          border-radius: 10px !important;
          min-height: 48px;
          display: flex;
          align-items: center;
        }
      }
    }

    &__label {
      font-size: 14px;
      color: $label-color;
      line-height: 26px;
      font-weight: bold;
    }

    &__date {
      width: 100%;
      border-radius: 10px !important;
      min-height: 48px;
    }
  }
}
:host ::ng-deep {
  .mat-drawer-inner-container {
    overflow: hidden;
  }
  .mat-tree-node {
    min-height: 2rem;
  }
}

.pagination {
  display: flex;
  margin-top: 16px;
  justify-content: space-between;
  padding-left: 1rem;
  &__icon {
    display: flex;
  }
  &__table-info {
    display: flex;
    column-gap: 10px;
    align-items: center;
    padding-left: 1rem;
    &--text {
      white-space: nowrap;
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 150%;
      color: $text-pagination;
    }
  }
}

.rejected {
  background: $active-status-red-global;
  color: $bg-alert-dark;
  min-height: 36px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 13px;
  line-height: 20px;
  border-radius: 6px;
  letter-spacing: 0.25px;
  padding: 4px 8px 4px 8px;
  font-weight: 600;
}

.waitting-for-approved {
  background: $bg-warning-bg;
  color: $bg-warning-label;
  font-size: 13px;
  line-height: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  letter-spacing: 0.25px;
  border-radius: 6px;
  min-height: 36px;
  padding: 4px 8px 4px 8px;
  font-weight: 600;
}

.approved {
  background: $bg-tag-success;
  color: $active-status-green;
  font-size: 13px;
  line-height: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  letter-spacing: 0.25px;
  border-radius: 6px;
  min-height: 36px;
  padding: 4px 8px 4px 8px;
  font-weight: 600;
}

.invisibile {
  background: $active-status-invisibile;
  color: $text-status-invisibile;
  font-size: 13px;
  line-height: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  letter-spacing: 0.25px;
  border-radius: 6px;
  min-height: 36px;
  padding: 4px 8px 4px 8px;
  font-weight: 600;
}

.main-model-organization__tooltip {
  &__menu {
    border-radius: 12px;
    &--item {
      display: flex;
      align-items: center;
      &__text {
        margin-left: 15px;
      }
      &__icon {
        margin-right: 0px !important;
      }
    }
  }
  &__icon {
    transform: rotate(90deg);
  }
}

.content-center {
  display: flex;
  justify-content: center;
}

// .main-model-organization__tooltip__menu--item {
//   &__text {
//     margin-left: 15px;
//   }

//   &__icon {
//     margin-right: 0px !important;
//   }
// }

::ng-deep {
  .mat-menu-content {
    min-width: 180px;
  }
}

.last-child-node {
  color: $label-color;
}
.clicked-node {
  color: $primary-button-color;
  font-weight: 600;
  border-left: 4px solid $primary-button-color;
  background: $background-main;
}
.org-tree {
  height: 90%;
  overflow: auto;
  white-space: nowrap;
  margin-left: 0.8rem;
}

.organization-name {
  white-space: nowrap;
  overflow: hidden !important;
  text-overflow: ellipsis;
}

.mat-icon-button {
  width: 20px;
  height: 20px;
  line-height: 17px;
}
.text-center {
  text-align: center;
}
.button-init {
  margin-right: 1.5rem;
}
